Skip to main content
`Ctrl`+`K`

# SNESFASGetCycleSNES

Gets the `SNES` corresponding to a particular level of the `SNESFAS` hierarchy

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASGetCycleSNES(SNES snes, PetscInt level, SNES *lsnes)

## Input Parameters

- snes - the `SNES` nonlinear multigrid context

- level - the level to get

## Output Parameter

- lsnes - the `SNES` for the requested level

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESFASSetLevels()`, `SNESFASGetLevels()`

## Level

advanced

## Location

src/snes/impls/fas/fasfunc.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages